//
//  IconCollectionViewController.swift
//  CollectionViewDemo
//
//  Created by Simon Ng on 13/1/2021.
//

import UIKit

private let reuseIdentifier = "Cell"

class IconCollectionViewController: UICollectionViewController {

    private var iconSet: [Icon] = [ Icon(name: "candle", price: 3.99, isFeatured: false),
                                    Icon(name: "cat", price: 2.99, isFeatured: true),
                                    Icon(name: "dribbble", price: 1.99, isFeatured: false),
                                    Icon(name: "ghost", price: 4.99, isFeatured: false),
                                    Icon(name: "hat", price: 2.99, isFeatured: false),
                                    Icon(name: "owl", price: 5.99, isFeatured: true),
                                    Icon(name: "pot", price: 1.99, isFeatured: false),
                                    Icon(name: "pumkin", price: 0.99, isFeatured: false),
                                    Icon(name: "rip", price: 7.99, isFeatured: false),
                                    Icon(name: "skull", price: 8.99, isFeatured: false),
                                    Icon(name: "sky", price: 0.99, isFeatured: false),
                                    Icon(name: "toxic", price: 2.99, isFeatured: false),
                                    Icon(name: "ic_book", price: 2.99, isFeatured: false),
                                    Icon(name: "ic_backpack", price: 3.99, isFeatured: false),
                                    Icon(name: "ic_camera", price: 4.99, isFeatured: false),
                                    Icon(name: "ic_coffee", price: 3.99, isFeatured: true),
                                    Icon(name: "ic_glasses", price: 3.99, isFeatured: false),
                                    Icon(name: "ic_ice_cream", price: 4.99, isFeatured: false),
                                    Icon(name: "ic_smoking_pipe", price: 6.99, isFeatured: false),
                                    Icon(name: "ic_vespa", price: 9.99, isFeatured: false)]
    

    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Configure the layout and item size
        if let layout = collectionViewLayout as? UICollectionViewFlowLayout {
            layout.itemSize = CGSize(width: 100, height: 150)
            layout.estimatedItemSize = .zero
            layout.minimumInteritemSpacing = 10
        }
        

    }


}
